Mac OS 9 Lives! (Classic Mac OS Forum)

Classic Mac Hardware (Troubleshooting, Upgrading, & Modifying) => Mac OS 9 Booting on Previously Unsupported Hardware => Topic started by: Protools5LEGuy on April 08, 2015, 06:34:17 PM

Title: Mac OS 8.6 on Unsupported Hardware
Post by: Protools5LEGuy on April 08, 2015, 06:34:17 PM
Last Apple official 8.6 machine: A rare specific machine 8.6 for Sawtooth http://www.everymac.com/systems/apple/powermac_g4/specs/powermac_g4_400_agp.html (http://www.everymac.com/systems/apple/powermac_g4/specs/powermac_g4_400_agp.html)   

The following model, Gigabit Ethernet came with 9.0.4  :P
http://www.everymac.com/systems/apple/powermac_g4/specs/powermac_g4_400_2.html (http://www.everymac.com/systems/apple/powermac_g4/specs/powermac_g4_400_2.html)


For the the Mac Os 8.6 fans, with this commands and a easy mod on the Mac Os ROM, may be we can boot the Mac Os 8.6 (the Sawtooth version) in to most of the Macintosh G4 family (up to QuickSilver)
:o  :o  :o
I know that there was a few failed tries of booting Mac Os 9 on Mac Mini G4 with the iMic "Universal ROM" . I don't have any of this Macs nowadays, but I have a new suggestion if someone one is willing to try. I think the failure is because the G4 CPU is a 7447 or a 7448, so it needs the Openfirware Patch alongside the iMic "Universal ROM".
The Open Firmware commands needed are for just changing in the Device Tree the G4 CPU 7447 by 7455 or any other G4 CPU that the Mac Os 9 System knows about it . As we usually have to do when we use the 7447 or 7448 in a CPU upgrade card.
This commands were published around here... somewhere...


So there is hope for some of us to use Mac OS 8.6 on post-sawtooth machines.

MacTron mentions up to QS. So Gigabit Ethernet, Digital Audio and Quicksilver G4s users let's wait for some news!
Title: Re: Mac OS 8.6 on Unsupported Hardware
Post by: supernova777 on April 08, 2015, 08:23:00 PM
talk to imic.. hes the man ;)
Title: Re: Mac OS 8.6 on Unsupported Hardware
Post by: MacTron on April 09, 2015, 09:18:29 AM
talk to imic.. hes the man ;)

Yes it is, but he has already told us how to do it:

The Open Firmware Patch:
Code: [Select]
" /cpus/PowerPC,G4@0" find-package if drop " /cpus/PowerPC,G4@0" find-device 80010201 encode-int " cpu-version" property then

device-end \ PLX-OS9-PATCH

Were 80010201 (PPC 7455) should be changed by one of this:

Code: [Select]
PowerPC 7400_v1.0        PVR 000c0100
PowerPC 7400_v1.1        PVR 000c0101
PowerPC 7400_v2.0        PVR 000c0200
PowerPC 7400_v2.1        PVR 000c0201
PowerPC 7400_v2.2        PVR 000c0202
PowerPC 7400_v2.6        PVR 000c0206
PowerPC 7400_v2.7        PVR 000c0207
PowerPC 7400_v2.8        PVR 000c0208
PowerPC 7400_v2.9        PVR 000c0209

Probably PowerPC 7400_v2.9  PVR 000c0209 because It is the best PPC Mac Os 8.6 can deal with.

And we have to enable also the PowerMac 3,3 (Gigabit Ethernet) PowerMac 3,4 (Digital Audio) PowerMac3,5 (Quicksilver) etc... In the Mac Os 8.6 ROM file.
Title: Re: Mac OS 8.6 on Unsupported Hardware
Post by: ELN on May 16, 2016, 05:52:22 AM
Does anyone *have* a copy of that rare machine-specific 8.6? I could use it.
Title: Re: Mac OS 8.6 on Unsupported Hardware
Post by: MacOS Plus on May 16, 2016, 12:17:18 PM
  Unfortunately I don't have that disc, but I certainly am interested in the outcome of extending OS 8.6 hardware support.  I wrote about it in another thread:

http://macos9lives.com/smforum/index.php/topic,3005.msg19111.html#msg19111 (http://macos9lives.com/smforum/index.php/topic,3005.msg19111.html#msg19111)

  I would place a bet that it's far easier to extend the model support of OS 8.6 to later machines, and far more likely to happen, than it will be that anyone ever sorts out how to fix my 'niche' Medianet-in-OS9.x issue, as much as I'd like to fix my situation via the latter route.  Hopefully 8.6 can be made to work without any open firmware hacks, just as has been the goal for the 9.2.2 project.

BTW, ELN, I just PM'd you about the xServe terminal output.
Title: Re: Mac OS 8.6 on Unsupported Hardware
Post by: MacTron on May 17, 2016, 11:35:32 AM
  Unfortunately I don't have that disc, but I certainly am interested in the outcome of extending OS 8.6 hardware support.  I wrote about it in another thread:

I have this disc. But I'm awfully busy to upload it in short. Any way, the very important stuff in it is Mac Os ROM 2.5.1 and I it is attached to this post ;)

If someone is able to replicate nonopico's work on Mac Os ROM 10.2. Mac Os 8.6 could work up to in a QuickSilver.  ;D
Title: Re: Mac OS 8.6 on Unsupported Hardware
Post by: nanopico on May 18, 2016, 06:24:14 AM
"Holy hole in a donut" (or any one in this video https://www.youtube.com/watch?v=kkPlk1T1Rjg)

There is a lot more in the forth script for that 8.6 ROM.
This would probably need the stuff I did and what iMic in the 10.2 rom.
Title: Re: Mac OS 8.6 on Unsupported Hardware
Post by: SEGStriker on September 25, 2017, 01:01:26 PM
I just installed one Sawtooth 400 MHz with MacOS 9.2.2. Didn't try to install 8.x yet on this machine....
Title: Re: Mac OS 8.6 on Unsupported Hardware
Post by: Philgood on September 25, 2017, 11:25:09 PM
"Holy hole in a donut" (or any one in this video https://www.youtube.com/watch?v=kkPlk1T1Rjg)

"Holy ravioli"  ;D